
const sizes = [300, 600, 1000, 1500, 2000];

export const generateSrcsetString = (src: string) => {
    const srcsetString = sizes.map(x => {
        const source = src.replace(`/content/images/`, `/content/images/size/w${x}/`)
        return `${source} ${x}w`;
    }).join(', ');
    return srcsetString;
}

export const generateSizesString = () => {
    const sizesString = `(min-width: 768px) 640px, (min-width: 1024px) 768px, 100vw`;
    return sizesString;
}